View Issue Details

IDProjectCategoryView StatusLast Update
0003408GNUnetcadet servicepublic2018-06-07 00:25
ReporterBart PolotAssigned ToBart Polot 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0003408: Add a verbose debug/dump feature to gnunet-cadet CLI and service.
DescriptionTo allow users to submit better bug reports, gnunet-cadet should have a --dump option. This would cause the service to dump a whole lot of information to stderr with level 'ERROR' (to make sure it gets displayed) and the user could copy-paste this information to Mantis to help find the cause of a misbehavior.
TagsNo tags attached.

Activities

Christian Grothoff

2014-06-04 17:07

manager   ~0008400

Actually, command-line tools should output their main results
using 'fprintf (stdout'), not via the logger.

Bart Polot

2014-06-18 04:44

manager   ~0008446

Implemented in r33730.

This feature makes the CADET *service* to dump all kinds of debug info to stderr (all peers with all their paths and the associated tunnels with all their connections with their paths and congestion control data, and channels with their reliability and low control state and the tunnel key exchange contexts, etc). This is much, much easier than structure and pack it in messages, fragment it, check for errors and parse on the receiving end. It also allows for immediate changes, should extra info be included, updating only one function of the service code instead of the message struct header file, several functions in the service, the API and the CLI.

If needed, it could be compiled in selectively to disable it for "stable releases", but for debug it really makes life much easier.

For non-extra-verbose-only-for-debugging info, the CLI does write metadata to stdout, but only including basic information.

Issue History

Date Modified Username Field Change
2014-05-16 12:35 Bart Polot New Issue
2014-05-16 12:35 Bart Polot Status new => assigned
2014-05-16 12:35 Bart Polot Assigned To => Bart Polot
2014-06-04 17:07 Christian Grothoff Note Added: 0008400
2014-06-04 17:07 Christian Grothoff Priority high => normal
2014-06-04 17:07 Christian Grothoff Target Version 0.11.0pre66 =>
2014-06-18 04:44 Bart Polot Note Added: 0008446
2014-06-18 04:44 Bart Polot Status assigned => resolved
2014-06-18 04:44 Bart Polot Fixed in Version => SVN HEAD
2014-06-18 04:44 Bart Polot Resolution open => fixed
2014-06-27 21:56 Christian Grothoff Fixed in Version SVN HEAD => 0.11.0pre66
2014-06-27 21:56 Christian Grothoff Target Version => 0.11.0pre66
2018-06-07 00:25 Christian Grothoff Status resolved => closed